import { EventEmitter } from '@angular/core';
import { ModalHeaderComponent } from '../modal-header/modal-header.component';
import { ModalFooterComponent } from '../modal-footer/modal-footer.component';
export declare class ModalComponent {
    modalHeader: ModalHeaderComponent;
    modalFooter: ModalFooterComponent;
    size: string;
    title: string;
    cancelText: string;
    confirmText: string;
    set hideDefaultHeader(v: boolean);
    get hideDefaultHeader(): boolean;
    set hideDefaultFooter(v: boolean);
    get hideDefaultFooter(): boolean;
    confirmBtnType: string;
    theme: string;
    uiConfirm: EventEmitter<any>;
    uiClose: EventEmitter<any>;
    get classes(): any;
    get showDefaultHeader(): boolean;
    get showDefaultFooter(): boolean;
    private _hideDefaultHeader;
    private _hideDefaultFooter;
}
